# Class MsaPfvManagerFactory<T>

#### Type Parameters

- #### T extends any[]

#### Hierarchy

- MsaPfvManagerFactory

#### Implements

- PfvManagerFactoryInterface<{
  id: string;
  }, {
  context: {
  id: string;
  };
  }>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:37

#####
Index

### Constructors

constructor

### Methods

getPfvManager

## Constructors

### constructor

- new MsaPfvManagerFactory<T>(): MsaPfvManagerFactory<T>

- #### Type Parameters

  - #### T extends any[]

  #### Returns MsaPfvManagerFactory<T>

## Methods

### getPfvManager

- getPfvManager(config): PfvManagerInterface

- #### Parameters

  - ##### config: MsaPfvManagerInterType<T>

  #### Returns PfvManagerInterface

  Implementation of PfvManagerFactoryInterface.getPfvManager

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvManagerFactory.ts:39

Generated using TypeDoc